# rabbitmq_parameter – Manage RabbitMQ parameters

- Synopsis

- Parameters

- Examples

- Status

## Synopsis

- Manage dynamic, cluster-wide parameters for RabbitMQ

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
component - / required |  | Name of the component of which the parameter is being set
name - / required |  | Name of the parameter being set
node - | Default: "rabbit" | erlang node name of the rabbit we wish to configure

state
-

Choices:
- present ←
- absent

Specify if user is to be added or removed

value - |  | Value of the parameter, as a JSON term
vhost - | Default: "/" | vhost to apply access privileges.

## Examples

    # Set the federation parameter 'local_username' to a value of 'guest' (in quotes)
    - rabbitmq_parameter:
        component: federation
        name: local-username
        value: '"guest"'
        state: present

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Chris Hoffman (@chrishoffman)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.